using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 评估项目表
    /// </summary>
    [Description("评估项目表")]
    public class T_CM_ABILITY_PROJECT : MesEntityBase
    {
        /// <summary>
        /// 评估项目编号
        /// </summary>
        [Description("评估项目编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [CUnique]
        [CodeRule((int)PFCodeRuleType.应急管理)]
        public string CODE { get; set; }

        /// <summary>
        /// 评估项目
        /// </summary>
        [Description("评估项目")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 评估内容
        /// </summary>
        [Description("评估内容")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(500)]
        public string EVALUATE_CONTENT { get; set; }
    }
}